v1.0.0
OpenAPI 3.1.0

Get an email version

US region

Client Libraries

Get an email version

Returns a snapshot of the version's content including the code for any custom components referenced in the email (see dependencies for more).

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the email. If your email has translations, this is the ID of a specific language variant.

  • version_id
    Type: string Format: uuid
    required

    The UUID of the version.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/emails/{id}/versions/{version_id}
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000/versions/123e4567-e89b-12d3-a456-426614174000
{
  "dependencies": [
    {
      "component_name": "footer",
      "content": "<script>...</script><template>...</template>",
      "name": "Footer",
      "node_id": "1abcbb4e-402e-949e-f6732f333",
      "node_type": "COMPONENT"
    }
  ],
  "node": {
    "content": "<x-base>...</x-base>",
    "envelope": {
      "bcc": "",
      "fake_bcc": true,
      "from": "Customer.io <noreply@example.com>",
      "from_id": 1,
      "headers": [],
      "recipient": "{{customer.email}}",
      "reply_to": "",
      "reply_to_id": null
    },
    "name": "Onboarding phase 1",
    "node_id": "1a0cbb4e-09d3-402e-949e-f6732f021650",
    "node_type": "EMAIL",
    "preheader_text": "Get started in minutes",
    "subject": "Welcome to Design Studio!",
    "transformers": {
      "prevent_widows": {
        "enabled": false
      }
    }
  },
  "version": {
    "created": 1773856017,
    "created_on_publish": false,
    "feedback": false,
    "id": "8f14e45f-ceea-4c67-9814-b8f0e0e1a6f0",
    "name": "Before holiday redesign",
    "node_id": "1a0cbb4e-09d3-402e-949e-f6732f021650",
    "node_type": "EMAIL"
  }
}